#! /bin/ksh

# this script can be used to test the package
# anyway it is still very incomplete, feel free to improve
# (and submit your improvements)

LOCKFILE1=/tmp/halockrun.1

echo "checking halockrun -t"
(./halockrun -c ${LOCKFILE1} sleep 1000; rm -r ${LOCKFILE1}) &

sleep 1
if [ ! -f ${LOCKFILE1} ]; then
	echo "fail 1: lockfile not created"
	exit 1
fi

./halockrun -t ${LOCKFILE1} >/dev/null
RS=$?

if [ $RS != 1 ]; then
	echo "fail 2: lockfile not locked"
	exit 2
fi

RV=`./halockrun -t ${LOCKFILE1}`

if [ -z "${RV}" ]; then
	echo "fail 4: returned nothing on locked file"
	exit 4
fi

if [ ${RV} == 0 ]; then
	echo "fail 5: returned zero on locked file"
	exit 5
fi

kill `./halockrun -t ${LOCKFILE1}`

sleep 1

if [ -f ${LOCKFILE1} ]; then
	echo "fail 3: lockfile not removed"
	exit 3
fi

touch ${LOCKFILE1}

./halockrun -t ${LOCKFILE1}
RS=$?

if [ $RS != 0 ]; then
	echo "fail 6: not locked but return code is ${RS}"
	exit 6
fi


RV=`./halockrun -t ${LOCKFILE1}`

if [ ! -z "${RV}" ]; then
	echo "fail 7: not locked but stdout ist ${RV}"
	exit 7
fi

rm -f ${LOCKFILE1}

echo "tests ok"
